Find Minimum in Rotated Sorted Array - Leetcode 153 - Binary Search (Python)

Sdílet
Vložit
  • čas přidán 3. 03. 2024
  • The Python code for this problem can be found at my GitHub repo here: github.com/gahogg/Leetcode-So...
    Please check my playlists for free DSA problem solutions:
    • Array & String Questions
    • 2 Pointers Questions
    • Sliding Window Questions
    • Binary Search Questions
    • Stack Questions
    • Linked List Questions
    • Tree Questions
    • Heap Questions
    • Recursive Backtracking...
    • Graph Questions
    • Dynamic Programming (D...
    Learn Python and Data Science at mlnow.ai :)
    Binary Search - • Binary Search - Leetco...
    Best Courses for Analytics:
    ---------------------------------------------------------------------------------------------------------
    + IBM Data Science (Python): bit.ly/3Rn00ZA
    + Google Analytics (R): bit.ly/3cPikLQ
    + SQL Basics: bit.ly/3Bd9nFu
    Best Courses for Programming:
    ---------------------------------------------------------------------------------------------------------
    + Data Science in R: bit.ly/3RhvfFp
    + Python for Everybody: bit.ly/3ARQ1Ei
    + Data Structures & Algorithms: bit.ly/3CYR6wR
    Best Courses for Machine Learning:
    ---------------------------------------------------------------------------------------------------------
    + Math Prerequisites: bit.ly/3ASUtTi
    + Machine Learning: bit.ly/3d1QATT
    + Deep Learning: bit.ly/3KPfint
    + ML Ops: bit.ly/3AWRrxE
    Best Courses for Statistics:
    ---------------------------------------------------------------------------------------------------------
    + Introduction to Statistics: bit.ly/3QkEgvM
    + Statistics with Python: bit.ly/3BfwejF
    + Statistics with R: bit.ly/3QkicBJ
    Best Courses for Big Data:
    ---------------------------------------------------------------------------------------------------------
    + Google Cloud Data Engineering: bit.ly/3RjHJw6
    + AWS Data Science: bit.ly/3TKnoBS
    + Big Data Specialization: bit.ly/3ANqSut
    More Courses:
    ---------------------------------------------------------------------------------------------------------
    + Tableau: bit.ly/3q966AN
    + Excel: bit.ly/3RBxind
    + Computer Vision: bit.ly/3esxVS5
    + Natural Language Processing: bit.ly/3edXAgW
    + IBM Dev Ops: bit.ly/3RlVKt2
    + IBM Full Stack Cloud: bit.ly/3x0pOm6
    + Object Oriented Programming (Java): bit.ly/3Bfjn0K
    + TensorFlow Advanced Techniques: bit.ly/3BePQV2
    + TensorFlow Data and Deployment: bit.ly/3BbC5Xb
    + Generative Adversarial Networks / GANs (PyTorch): bit.ly/3RHQiRj
    Become a Member of the Channel! bit.ly/3oOMrVH
    Follow me on LinkedIn! / greghogg
    Full Disclosure:
    Please note that I may earn a commission for purchases made at the above sites! I strongly believe in the material provided; I only recommend what I truly think is great. If you do choose to make purchases through these links; thank you for supporting the channel, it helps me make more free content like this!

Komentáře • 9

  • @hinocenciopaulo
    @hinocenciopaulo Před 11 dny

    That was a beautiful approach, so precise and simple. Excellent job sir. Thank you for sharing.

    • @GregHogg
      @GregHogg  Před 11 dny

      Very glad you enjoyed it!

  • @DeepakGupta-zz1vf
    @DeepakGupta-zz1vf Před 4 měsíci

    All sorted rotated arrays have one thing in common that is there will be atleast one sorted half for sure
    This can be proved by taking 5 elements and all its possible rotations and then see how left,mid and right varies
    Post that we will come to the above mentioned conclusion
    Now using this technique one can easily solve any variant problem related to sorted rotated array

  • @adithyar3160
    @adithyar3160 Před 2 měsíci

    luvd it mate

    • @GregHogg
      @GregHogg  Před 2 měsíci

      Super glad to hear it ☺️

  • @skyaqa2108
    @skyaqa2108 Před 3 měsíci

    Hi there, in one of your videos you mentioned the order of types of ds we should follow and solve because they are prerequisite for others, why you don't do the same, for example start with 5 problem from the first one to ... 5 problem of last one(dyn programming was the last one, i remember), and in the end of solving each problem recommend 5 similar important problems for practice
    It would be really helpful if you do that instead of just randomly solving problem, inform us about what you think about this idea
    Thanks

  • @anirbandas12
    @anirbandas12 Před 4 měsíci

    Make a video for the find target when sorted arr is rotated problem too

  • @sharukhsm007
    @sharukhsm007 Před 2 měsíci

    Why is M = 6 when it's actually 7 in your example?

    • @GregHogg
      @GregHogg  Před 2 měsíci

      Sorry did I get something wrong here?